Bug 1627729 - Review Request: mate-user-admin - User management tool
Summary: Review Request: mate-user-admin - User management tool
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: leigh scott
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-09-11 11:02 UTC by Wolfgang Ulbrich
Modified: 2018-09-22 19:45 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-09-21 05:32:49 UTC
Type: ---
leigh123linux: fedora-review+


Attachments (Terms of Use)

Description Wolfgang Ulbrich 2018-09-11 11:02:09 UTC
Spec URL: https://raveit65.fedorapeople.org/Mate/Specs/mate-user-admin.spec
SRPM URL: https://raveit65.fedorapeople.org/Mate/SRPM/mate-user-admin-1.1.1-1.fc30.src.rpm
Description: Mate User management tool
Fedora Account System Username: raveit65

Comment 1 leigh scott 2018-09-11 13:15:22 UTC
Approved


This is a review *template*. Besides handling the [ ]-marked tests you are
also supposed to fix the template before pasting into bugzilla:
- Add issues you find to the list of issues on top. If there isn't such
  a list, create one.
- Add your own remarks to the template checks.
- Add new lines marked [!] or [?] when you discover new things not
  listed by fedora-review.
- Change or remove any text in the template which is plain wrong. In this
  case you could also file a bug against fedora-review
- Remove the "[ ] Manual check required", you will not have any such lines
  in what you paste.
- Remove attachments which you deem not really useful (the rpmlint
  ones are mandatory, though)
- Remove this text



Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- Header files in -devel subpackage, if present.
  Note: mate-user-admin-debugsource : /usr/src/debug/mate-user-
  admin-1.1.1-1.fc30.x86_64/src/user-base.h mate-user-admin-debugsource :
  /usr/src/debug/mate-user-admin-1.1.1-1.fc30.x86_64/src/user-face.h mate-
  user-admin-debugsource : /usr/src/debug/mate-user-
  admin-1.1.1-1.fc30.x86_64/src/user-info.h mate-user-admin-debugsource :
  /usr/src/debug/mate-user-admin-1.1.1-1.fc30.x86_64/src/user-list.h mate-
  user-admin-debugsource : /usr/src/debug/mate-user-
  admin-1.1.1-1.fc30.x86_64/src/user-password.h mate-user-admin-debugsource
  : /usr/src/debug/mate-user-admin-1.1.1-1.fc30.x86_64/src/user-share.h
  mate-user-admin-debugsource : /usr/src/debug/mate-user-
  admin-1.1.1-1.fc30.x86_64/src/user.h
  See: http://fedoraproject.org/wiki/Packaging/Guidelines#DevelPackages
- All build dependencies are listed in BuildRequires, except for any that
  are listed in the exceptions section of Packaging Guidelines.
  Note: These BR are not needed: gcc
  See: http://fedoraproject.org/wiki/Packaging/Guidelines#Exceptions_2
- gtk-update-icon-cache is invoked in %postun and %posttrans if package
  contains icons.
  Note: icons in mate-user-admin
  See: http://fedoraproject.org/wiki/Packaging:ScriptletSnippets#Icon_Cache


===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "GPL (v3 or later)", "Unknown or generated". 38 files have
     unknown license. Detailed output of licensecheck in
     /home/leigh/Downloads/1627729-mate-user-admin/licensecheck.txt
[-]: License file installed when any subpackage combination is installed.
[x]: Package does not own files or directories owned by other packages.
     Note: Dirs in package are owned also by: /usr/lib/.build-id(libreport-
     plugin-kerneloops, cups-client, efivar-libs, rsyslog, rpm-plugin-
     selinux, abrt, libimagequant, giflib, libreoffice-graphicfilter,
     trousers, libdb-utils, xorg-x11-font-utils, OpenEXR-libs, assimp,
     libcom_err, libseccomp, p11-kit, libabw, gtkspell, libid3tag,
     libmodman, openjade, argyllcms, parted, gnome-disk-utility,
     libdvdread, zstd, bluez-libs, libbs2b, libwebp, libxslt, system-
     config-printer-udev, perl-Tk-TableMatrix, perl-Encode, libverto-libev,
     python2-cryptography, libevdev, libgpg-error, lvm2-libs, kf5-sonnet-
     core, libpurple, perl-Digest-SHA, perl-Params-Classify, libmicrohttpd,
     libsodium, freetype-freeworld, libzstd, lua-lpeg, symlinks,
     python3-simplejson, python3-crypto, openbox-libs, libcdr, cdparanoia-
     libs, e2fsprogs-libs, pulseaudio-libs, lcms2, qemu-guest-agent,
     annobin, ntfs-3g, libxcb, libyubikey, python3-pycurl, openconnect,
     xcb-util-keysyms, m4, libgphoto2, tinyxml, xcb-util, libwmf-lite,
     boost-fiber, udisks2-iscsi, python3-coverage, ffmpegthumbnailer,
     anaconda-widgets, http-parser, qt5-qtspeech, pulseaudio-utils, perl-
     Sub-Identify, llvm5.0-libs, perl-PerlIO-utf8_strict, libeot, systemd-
     bootchart, perl-JSON-XS, texlive-pdftex, perl-Ref-Util-XS, gperf,
     dbusmenu-qt, ncurses-libs, polkit, ldns, crossguid, libreport-plugin-
     logger, gnome-color-manager, fcoe-utils, libyui-mga-ncurses, xorg-x11
     -xkb-utils, ibus-hangul, NetworkManager-openvpn, libxkbfile,
     libwvstreams, kf5-kglobalaccel-libs, xmlrpc-c-client, sane-backends-
     drivers-cameras, libwpg, libwpd, enchant2, libdc1394, perl-Time-HiRes,
     libwps, gssdp, kf5-knotifications, libacl, xorg-x11-drv-ati,
     pulseaudio-libs-glib2, policycoreutils, mcelog, abrt-plugin-bodhi,
     libmusicbrainz5, pptp, sane-backends-drivers-scanners, libXxf86misc,
     foomatic, minizip, colord-gtk, libpath_utils, libicu-devel, rpm-build,
     libcangjie, libglvnd-gles, python3-audit, rpm-plugin-systemd-inhibit,
     perl-Text-Iconv, libmicrodns, freeglut, gstreamer1, libcec, gmime30,
     libtomcrypt, yaml-cpp, dbus-libs, libreoffice-gtk3, libreoffice-gtk2,
     boost-wave, cairo-gobject, gnome-screenshot, libkkc, gutenprint,
     openal-soft, usermode, cinnamon-desktop, qpdf-libs, linux-atm-libs,
     libedit, openssh, chrpath, subversion-libs, openssl, python3-cairo,
     python2-libdnf, accountsservice, isl, hfsplus-tools, ImageMagick,
     gssproxy, mesa-libGLU, libblockdev-btrfs, libatomic_ops,
     clang6.0-libs, bridge-utils, libmpcdec, gtk-update-icon-cache,
     kf5-kxmlgui, libyui-ncurses, NetworkManager, libkate, liblangtag,
     NetworkManager-l2tp-gnome, libdatrie, glade-libs, setuptool, guile,
     pcre-utf16, tree, gvfs-goa, pipewire, php-bcmath, libnsl2, libserf,
     xfsprogs, authselect, boost-timer, libcroco, qt5-qtsensors,
     NetworkManager-iodine, plymouth-plugin-label, colord-libs, nvidia-
     settings, aalib-libs, gstreamer1-libav, libcddb, gpgmepp, libzhuyin,
     hypervfcopyd, cronie, libexttextcat, hunspell-devel, nettle, iodine-
     client, elfutils, colord, libpipeline, pkcs11-helper, accountsservice-
     libs, afpfs-ng, network-scripts, gnome-system-monitor, findutils,
     popt, python2-xpyb, qt5-qtx11extras, libsss_idmap, libraw1394, boost-
     atomic, lm_sensors, gcc-c++, iptables, iproute-tc, isomd5sum, fossil,
     libupnp, woff2, python2-numpy, dotconf, PackageKit-glib, patch,
     sqlite-libs, enchant, libXxf86dga, python2-smartcols, rhash, xdg-user-
     dirs-gtk, libwayland-client, libXres, mdadm, openblas-threads, xawtv,
     gnome-calculator, xl2tpd, device-mapper, python2-librepo, libXtst,
     xapian-core-libs, irqbalance, gnome-terminal, GeoIP, perl-Class-
     XSAccessor, libsigc++20, python2-talloc, dconf-editor, libXrandr,
     newt, liba52, crda, qt5-qtdeclarative, vo-amrwbenc, avahi-compat-
     libdns_sd, libXfont2, libblockdev-loop, libmfx, libssh2,
     NetworkManager-adsl, open-vm-tools-desktop, xmlsec1-nss, dbusmenu-qt5,
     libXcursor, nftables, iio-sensor-proxy, boost-python3, dracut, procps-
     ng, plymouth-core-libs, telnet, simple-scan, libXpm, phonon-backend-
     gstreamer, xorg-x11-drv-nouveau, zlib, freealut, libpeas, pam_krb5,
     gutenprint-cups, grub2-tools-efi, avahi, libselinux, vulkan-
     validation-layers, libassuan, nodejs, expat, cups-filters, iw,
     clutter-gtk, userspace-rcu, wavpack, python3-yui, live555, ibus-
     libpinyin, setroubleshoot-server, make, python3-markupsafe, libnice,
     libsoup, cinnamon-screensaver, fuse, perl-Net-SSLeay, perl-Filter,
     ipmitool, cups-libs, libappstream-glib, libsepol, totem-pl-parser,
     gzip, python3-cangjie, keyutils, xorg-x11-drv-intel-devel,
     libipa_hbac, libfdisk, libdmx, openssl-libs, opencc, libreport-plugin-
     reportuploader, gavl, ipset, x265-libs, kf5-kcoreaddons, libyui-gtk,
     libcaca, keybinder3, deltarpm, fuse-libs, xorg-x11-xauth, java-11
     -openjdk-headless, libglvnd-glx, gvfs-smb, libcue, libXrender, json-
     glib, kf5-kglobalaccel, libX11-xcb, libfontenc, libicu, xorg-x11-drv-
     vmware, sssd-common, NetworkManager-openconnect, libgtop2, btrfs-
     progs, nvidia-persistenced, imsettings-cinnamon, wvdial, perl-Devel-
     PPPort, cogl, sni-qt, mesa-libglapi, glx-utils, libtommath, perl-MIME-
     Base64, polkit-qt5-1, boost-container, libass, tint2, mutter,
     wpa_supplicant, texlive-lib, ppp, cinnamon-session, sox, libprojectM-
     qt, libtiger, git, perl-Compress-Raw-Bzip2, libcrystalhd, jack-audio-
     connection-kit, mpg123-libs, opus, ctags, tcpdump, frei0r-plugins,
     libxklavier, traceroute, cyrus-sasl-plain, libblockdev-crypto,
     kf5-karchive, libreoffice-pdfimport, rp-pppoe, libtheora, attr, mtr,
     gtksourceview2, libblockdev-part, libcanberra-gtk2, libcanberra-gtk3,
     kf5-ki18n, boost-program-options, mtdev, systemd-udev, fftw-libs-
     single, libXvMC, check, libXmu, kmod-nvidia-4.18.5-300.fc29.x86_64,
     libreoffice-impress, smartmontools, jasper-libs, rubberband, device-
     mapper-libs, xorg-x11-xinit, libogg, pyliblzma, libffi, libGLEW, pcre-
     utf32, python2-hawkey, diffutils, libgnomecanvas, time, libmcrypt,
     audiofile, mpfr, graphviz-gd, cyrus-sasl-md5, iputils, SDL_ttf,
     qt5-qtxmlpatterns, numactl-libs, tigervnc-server-minimal, gpgme,
     ninja-build, hypervvssd, xorg-x11-drv-openchrome, libmcpp,
     libnfsidmap, gdb-headless, libqmi-utils, libmbim-utils, psacct, lame-
     libs, gnome-bluetooth-libs, ghostscript, libtirpc, iptables-libs,
     fftw, cryptsetup-libs, mac-libs, syslinux-extlinux, bind-libs,
     pygobject2, boost-type_erasure, lua-posix, libinput, libreport-cli,
     libpkgconf, libyui-mga, abrt-gui-libs, libabigail, im-chooser,
     qt5-qtsvg, isns-utils-libs, libreoffice-calc, libqmi,
     glade3-libgladeui, gawk, dmraid-events, pcsc-lite-libs, adwaita-
     gtk2-theme, libbasicobjects, libgnomeui, vte291, cinnamon, sssd-krb5,
     mpv-libs, brotli, libdvbpsi, libsmbclient, cinnamon-settings-daemon,
     libkcapi, libvdpau, compat-openssl10, xfburn, opencore-amr, abrt-
     addon-kerneloops, libnftnl, network-manager-applet, xcb-util-
     renderutil, sssd-ad, texlive-luatex, lightdm, nemo, nmap-ncat,
     logrotate, php-xml, irrXML, libdnet, ntfsprogs, abrt-libs, protobuf,
     efibootmgr, openjpeg2-tools, libgdither, boost-signals, samba-common-
     libs, libreswan, libpsl, zeitgeist-libs, python3-rpm, jimtcl, i2c-
     tools-eepromer, libuser, NetworkManager-libreswan, opensp, lz4-libs,
     boost-math, graphviz, kexec-tools, boost-date-time, spirv-tools-libs,
     python3-libdnf, perl-Tk, libglade2, satyr, platform, gts, pixman,
     SDL_image, xorg-x11-drv-vesa, libbluray, cifs-utils, libstdc++,
     libbabeltrace, mjpegtools-libs, vpnc, psmisc, xorg-x11-drv-libinput,
     libsss_certmap, libblockdev-mpath, cairo, libgcc, gdisk, ilmbase,
     poppler, pocl, libstemmer, djvulibre-libs, gnome-online-accounts,
     ibus-libzhuyin, fftw-libs-double, libconfig, ModemManager, abrt-gui,
     ibus-m17n, qt5-qtbase-gui, rtkit, orc, libidn2, qt-devel, libuuid,
     faad2-libs, libarchive, libfreehand, ibus-gtk3, ibus-gtk2, xorg-x11
     -server-Xvfb, python2-libselinux, cryptsetup, udisks2, clucene-
     contribs-lib, paps-libs, tcp_wrappers, xz, libXcomposite, unifdef,
     vconfig, mtools, pygtk2, vim-minimal, harfbuzz-icu, fmt, libplist,
     checkpolicy, xdg-user-dirs, hwloc-libs, gdk-pixbuf2, gupnp, libreport,
     libevent, redland, python2-cccolutils, gdbm-libs, git-core,
     libblockdev, lua-socket, dconf, xz-libs, dbus-glib, PackageKit-
     gtk3-module, libdvdnav, xviewer, libcap, libprojectM, kf5-attica,
     libwbclient, compiler-rt, libbonobo, libthai, fakeroot, qt5-qttools-
     libs-designer, nss-tools, adcli, libestr, iproute, python2-gpg,
     libsmartcols, boost-test, fakeroot-libs, orc-compiler, libyui-qt-
     graph, muffin, os-prober, ethtool, libfprint, systemd-libs, cpio,
     util-linux, libburn, imsettings, krb5-libs, bison, net-tools, chrony,
     enca, llvm6.0-libs, gtksourceview3, libpciaccess, clucene-core,
     libsss_autofs, nemo-fileroller, faac, kmod, libxml++, NetworkManager-
     pptp, libetonyek, plymouth, libgs, libgnome, sssd-client, libgxps,
     gnome-bluetooth, kf5-kiconthemes, webkit2gtk3-jsc, libpagemaker,
     kf5-kitemviews, libxkbcommon, device-mapper-multipath-libs, perl-XML-
     LibXML, yajl, lockdev, cups-filters-libs, poppler-utils, lpsolve,
     xorg-x11-server-utils, vid.stab, cracklib, libepubgen, libdnf, abrt-
     addon-pstoreoops, gnome-keyring, libSM, egl-utils, libnice-gstreamer1,
     netpbm, nm-connection-editor, fdk-aac, python3-pyparted, libudisks2,
     gstreamer1-plugins-bad-free, NetworkManager-libreswan-gnome,
     python3-setools, clutter, zenity, chkconfig, libasyncns, libgnome-
     keyring, hostname, iscsi-initiator-utils, wmctrl, pangox-compat,
     source-highlight, subunit, pam, python2-cffi, openldap, kvirc,
     zziplib, gamin, vulkan-tools, ipcalc, SDL, speex, audacious-libs,
     neon, rest, libsamplerate, python2-lxml, NetworkManager-vpnc-gnome,
     boost-iostreams, pakchois, libgee06, subversion, libusbmuxd,
     python2-audit, perl-Unicode-Normalize, gperftools-libs,
     libimobiledevice, NetworkManager-wwan, polkit-pkla-compat, jbig2dec-
     libs, libmtp, cyrus-sasl-lib, librevenge, hexchat, xterm-resize, gjs,
     python3-gobject-base, zvbi, dnsmasq, libXfixes, libblkid, libcdio,
     libvdpau-trace, NetworkManager-l2tp, rsync, xapps, exif, mongodb-
     server, chromium, lua-libs, perl-Params-Util, authselect-libs,
     soundtouch, xorg-x11-drv-evdev, libpeas-gtk, libXinerama, lirc-libs,
     libteam, vim-enhanced, libcmis, elfutils-libs, acl, cyrus-sasl-scram,
     boost-numpy3, boost-numpy2, redshift, gupnp-igd, gnupg2, libgee,
     libXxf86vm, mesa-libEGL, clang-libs, systemd-pam, libyui-mga-qt, ftgl,
     perl-Storable, perl-Digest-MD5, lua-term, libshout, perl-Sort-Key,
     gtkglext-libs, nss-util, gnutls-c++, marisa, rust, mozjs52, systemd-
     container, libcomps, xplayer, at, file, vamp-plugin-sdk,
     kf5-kcompletion, libblockdev-fs, perl-Cpanel-JSON-XS, libblockdev-
     nvdimm, phonon, gettext, pcre2-utf32, soxr, libutempter, libmetalink,
     dbus-broker, slang, openblas-serial, caribou, usbutils, e2fsprogs,
     libcdio-paranoia, grub2-tools-minimal, cpp, libksba, libwayland-
     server, gdbm, libchromaprint, libsndfile, libvisio, perl-Unicode-
     String, bzip2-libs, NetworkManager-iodine-gnome, gmp-c++, perl-Class-
     MethodMaker, mpv, boost-log, openssl-pkcs11, gnutls, libyui-mga-gtk,
     device-mapper-persistent-data, ykpers, webkit2gtk3-plugin-process-
     gtk2, libselinux-utils, perl-Scalar-List-Utils, dosfstools, openbox,
     rng-tools, gnome-abrt, libspectre, nano, keyutils-libs, libproxy,
     sssd-common-pac, libreoffice-math, libtimezonemap, perl-Data-Dumper,
     game-music-emu, vala, pidgin, anaconda-core, python2-sqlalchemy,
     ImageMagick-perl, cinnamon-menus, libatasmart, perl-XML-Parser,
     mlocate, tmux, file-libs, grub2-tools, avahi-glib, mokutil,
     libblockdev-swap, libnetfilter_conntrack, python2-libsemanage,
     python3-gobject, libev, bash, fprintd-pam, libusbx, polkit-gnome,
     libi2c, kf5-kconfig-gui, qrencode-libs, libICE, libgexiv2, drpm,
     createrepo_c-libs, perl-Compress-Raw-Zlib, speexdsp, upower,
     java-1.8.0-openjdk-devel, libreoffice-x11, xcb-util-wm, gtk2-devel,
     Thunar, atk, dbxtool, gnome-vfs2, alsa-lib, gstreamer1-plugins-good-
     gtk, libwnck3, x264-libs, python2-gobject, xplayer-plparser, brasero-
     libs, mesa-dri-drivers, sgpio, python3-abrt, libffado, suitesparse,
     libopenraw, lha, fribidi, libgnomekbd, libblockdev-kbd, ibus-rawcode,
     pciutils, libini_config, openssh-clients, libX11, mate-desktop-libs,
     kyotocabinet-libs, python3-pwquality, gvfs-mtp, python3-cryptography,
     systemd, atkmm, libnl3, gimp-libs, libmikmod, libidn, grubby,
     cryptlib, python3-libreport, libbytesize, libmpeg2, python3-systemd,
     libnl3-cli, ibus-libs, valadoc, python2-libcomps, qbittorrent, audit-
     libs, bluez, gettext-libs, liborcus, kf5-kwidgetsaddons,
     qt5-qtwayland, libref_array, raptor2, libyui, plymouth-plugin-two-
     step, sbc, qt-x11, libhangul, SDL_mixer, libbonoboui, ocl-icd,
     poppler-glib, NetworkManager-openvpn-gnome, pcaudiolib, libblockdev-
     lvm, utf8proc, ibus-kkc, muffin-devel, lvm2, harfbuzz, rtmpdump, cups,
     dmraid, libva, gvfs-client, NetworkManager-libnm, python2-libs, lrzsz,
     libglvnd-egl, opusfile, unbound-libs, dhcp-libs, libtalloc, libtar,
     hypervkvpd, libepoxy, perl-Variable-Magic, man-db, fluidsynth, perl-
     DBD-MySQL, libgadu, gnome-desktop3, timedatex, kmod-
     nvidia-4.18.4-300.fc29.x86_64, compat-libicu61, libebml, rasqal,
     wireless-tools, libdb, cargo, passwd, libnma, cups-pk-helper, quota,
     kmod-libs, NetworkManager-team, libdv, gutenprint-libs, lm_sensors-
     libs, libreoffice-writer, desktop-file-utils, libXdamage,
     xorg-x11-utils, bzr, libmwaw, exo, libunwind, gtkmm30, clang5.0-libs,
     libgit2, qt5-qtmultimedia, libxfce4ui, gobject-introspection, kf5
     -kconfig-core, libpwquality, fontconfig, libblockdev-dm, gstreamer1
     -plugins-bad-nonfree, kf5-kservice, compat-lua-libs, libkcapi-
     hmaccalc, grep, libdaemon, ffmpeg, mariadb-connector-c, boost-
     coroutine, python3-librepo, pkgconf, json-c, kf5-kauth, sed, sssd-ipa,
     perl-threads-shared, libaio, samba-libs, kpartx, libpng, sane-
     backends-libs, python2-nemo, python3-pillow, hardlink, libcollection,
     libgcrypt, cairomm, perl-Unicode-UTF8, nss-softokn, lasi, geoclue2,
     lsof, binutils, cronie-anacron, twolame-libs, gucharmap, xorg-x11
     -server-Xorg, libmbim, gfs2-utils, perl-IO, libomp, libverto,
     glibmm24, libXScrnSaver, realmd, libmspub, ncurses, nfs-utils,
     graphite2, python3-kerberos, perl-List-MoreUtils-XS, passwdqc-lib,
     imlib2, libmad, libde265, metacity, ndctl-libs, gmp, sssd-krb5-common,
     volume_key-libs, b43-fwcutter, farstream02, python2-setools, ffmpeg-
     libs, alsa-plugins-pulseaudio, perl-interpreter, powerline, bluez-
     cups, gimp, chromium-libs-media, libcurl, sssd-kcm, kf5-kcrash,
     coreutils, libcap-ng, json-glib-devel, gvfs, dbus-x11, swig, pinentry,
     librepo, lua-filesystem, gsm, libuv, boost-filesystem, libtevent, kf5
     -sonnet-ui, libchamplain, libglvnd, gobject-introspection-devel,
     boost-system, libpcap, nspr, im-chooser-common, snappy, rb_libtorrent,
     clutter-gst3, xterm, libdrm, genisoimage, libgcrypt-devel, pcre2,
     shotwell, xmlrpc-c, jsoncpp, perl-TermReadKey, qt5-qtwebkit, espeak-
     ng, protobuf-c, daala-libs, libpng-devel, daxctl-libs, perl-Sub-Name,
     sssd-nfs-idmap, libmspack, libssh, libmodulemd, GConf2, glibc,
     ttmkfdir, fipscheck, mactel-boot, bc, gdk-pixbuf2-devel, wget, libijs,
     boost-regex, zip, virtualbox-guest-additions, libreport-web, libgomp,
     libexif, libkadm5, ladspa, php-cli, libgusb, glib2, librtmp,
     python2-libxml2, ImageMagick-libs, libwmf, pcre2-utf16, libmnl,
     audacious-plugins, gettext-devel, libzmf, libmng, nss, pcre,
     libchamplain-gtk, tcp_wrappers-libs, sane-backends, gstreamer1
     -plugins-base, speech-dispatcher, php-common, pciutils-libs, libmpc,
     libXi, audacious, file-roller, openjpeg2, libmatroska, flac-libs,
     libXt, libXv, rpm-libs, info, libnfnetlink, libiec61883, rpm-sign-
     libs, boost-context, device-mapper-event, mozjs52-devel, libusal,
     libreport-plugin-bugzilla, fftw-libs-quad, qt5-qtbase, graphviz-devil,
     libguess, libpskc, linux-atm, lirc-core, ibus, python3-lxml, jwhois,
     libsss_sudo, curl, yelp-libs, cmake, gnutls-dane, gcc-gdb-plugin,
     fipscheck-lib, llvm, python2-pycurl, dos2unix, python3-setproctitle,
     paps, libstaroffice, abrt-tui, lzo-minilzo, harfbuzz-devel, qt5
     -qtspeech-speechd, gtk3-devel, abrt-addon-xorg, libdhash, gucharmap-
     libs, protobuf-compiler, sssd-proxy, nasm, imsettings-libs, gd, gc,
     python3-cups, libxshmfence, ncurses-c++-libs, ampache_browser,
     libreport-plugin-systemd-journal, gstreamer1-plugins-ugly-free, unzip,
     vlc, gtk2, gtk3, libwayland-egl, libv4l, vkmark, u2f-hidraw-policy,
     npth, abrt-addon-coredump-helper, libyaml, mercurial, tre, libXaw,
     gspell, xcb-util-image, m17n-lib, libblockdev-mdraid, exiv2-libs,
     python2-pynacl, libunistring, reiserfs-utils, gstreamer1-plugins-good,
     python2-rpm, openal-soft-devel, device-mapper-multipath, c-ares,
     xmlsec1-openssl, python2-cairo, NetworkManager-pptp-gnome, jansson,
     bind-utils, garcon, librsvg2, firefox, alsa-utils, apr,
     libsss_nss_idmap, trousers-lib, libnumbertext, libmp4v2, webrtc-audio-
     processing, bcache-tools, startup-notification, libpinyin,
     python3-psutil, babl, libqxp, pinfo, freeipmi, xfce4-panel,
     bubblewrap, speech-dispatcher-espeak-ng, libtasn1, jbigkit-libs, perl-
     libintl-perl, libe-book, python3-dbus, sqlite, DevIL, tar, sudo, dhcp-
     client, fprintd, gcc, dwz, meanwhile, xorg-x11-drv-qxl, gcr, ebtables,
     libyui-qt, perl-XML-LibXSLT, avahi-libs, xorg-x11-drv-fbdev, pigz,
     python3-pyyaml, libquvi, gvfs-archive, libao, perl-libs, lz4, kbd,
     dbus-daemon, libreoffice-core, wayland-devel, ddccontrol, libwayland-
     cursor, openvpn, libpaper, chromium-libs, gstreamer1-plugins-ugly,
     xvidcore, libwacom, python2-kerberos, cjs-devel, libss, krb5-devel,
     polkit-libs, perl-threads, perl-Params-Validate, pangomm,
     kf5-kguiaddons, mesa-libxatracker, nss-sysinit, libxfce4ui-devel,
     LibRaw, uchardet, libtidy, nss-mdns, python3-cffi, perl-Socket6,
     xviewer-plugins, qtsingleapplication-qt5, fftw-libs-long, at-
     spi2-core, minidlna, gegl04, glibc-common, i2c-tools, kf5-kcodecs,
     bind-export-libs, kf5-kwindowsystem, ndctl, qt5-qtlocation,
     python3-libxml2, libnfs, python3-hawkey, libgfortran, stoken-libs,
     texlive-kpathsea, groff-base, mesa-libgbm, libusb, hdparm, hddtemp,
     mesa-libGL, perl-Devel-LexAlias, perl-HTML-Parser, abrt-addon-ccpp,
     libldb, python2-gobject-base, NetworkManager-vpnc, libmodplug, libipt,
     mesa-libOpenCL, libcanberra, tidy, PackageKit-gstreamer-plugin,
     libart_lgpl, libgudev, xorg-x11-drv-wacom, libsrtp, perl-Package-
     Stash-XS, samba-client-libs, qt5-qtscript, which, boost-chrono, samba-
     client, glib-networking, lua-expat, python3-cccolutils, libquadmath,
     libxfce4util, gvfs-gphoto2, python2-krbv, strace, thunderbird,
     createrepo_c, python2-markupsafe, elinks, libreport-gtk, liboauth,
     lmdb-libs, libgpg-error-devel, xmlsec1, php-pecl-mcrypt,
     python3-wrapt, libmypaint, libIDL, krb5-workstation, kmod-
     nvidia-4.18.3-300.fc29.x86_64, mcpp, freetype, libglvnd-opengl, vlc-
     core, lksctp-tools, usb_modeswitch, tbb, mythes, NetworkManager-wifi,
     qt, libfastjson, abrt-retrace-client, nemo-preview, teamd, libvorbis,
     lightdm-gobject, NetworkManager-openconnect-gnome, rpcbind, pcre-cpp,
     python3-libselinux, libodfgen, exiv2, ORBit2, qt5-qtwebchannel, yasm,
     lua, perl-PadWalker, libsemanage, libpeas-loader-python3, llvm-libs,
     qtlockedfile-qt5, doxygen, pulseaudio-module-bluetooth,
     kf5-kconfigwidgets, passwdqc, libXft, shairplay-libs, schroedinger,
     libattr, qt5-qtbase-devel, perl-DBI, hyphen, gnupg2-smime, rpm,
     syslinux, dcraw, libxcrypt, caribou-gtk3-module, sssd-ldap, iptstate,
     libgusb-devel, glib2-devel, libreport-plugin-ureport, libplacebo,
     kf5-kdbusaddons, python3-libs, perl-PathTools, ipset-libs, boost-
     graph, plymouth-graphics-libs, boost-serialization, gnome-menus,
     libreoffice-pyuno, flex, libxml2, gmime, libreoffice-ure, iscsi-
     initiator-utils-iscsiuio, slick-greeter, cyrus-sasl-gssapi, libargon2,
     mesa-vulkan-drivers, nemo-extensions, protobuf-lite, libsecret,
     gtk2-engines, cjs, p11-kit-trust, NetworkManager-bluetooth, libdca,
     llvm-devel, augeas-libs, libsysfs, python3-numpy, audit, java-1.8.0
     -openjdk-headless, abrt-dbus, boost-locale, java-1.8.0-openjdk, gdk-
     pixbuf2-modules, at-spi2-atk, xfconf, NetworkManager-ppp, libisofs,
     perl-DateTime, xed, vim-common, lzo, less, libvpx, tcl, rpm-build-
     libs, libnghttp2, pango, util-linux-user, libsolv, exempi,
     libxkbcommon-x11, libmms, libtdb, python3-gpg, libXdmcp, perl-Socket,
     apr-util, python2-bcrypt, libatomic, libvisual, python3, python2, gpm-
     libs, minicom, dbus-tools, shared-mime-info, SDL2, webkit2gtk3,
     xreader, libsigsegv, boost-thread, perl-Devel-Caller, caribou-
     gtk2-module, shadow-utils, boost-random, libcgroup, dbus-glib-devel,
     libXau, libgdata, phonon-qt5, pulseaudio-module-x11, dmidecode, egl-
     wayland, python3-libcomps, perl-Devel-CallChecker, libXpm-devel,
     libjpeg-turbo, libmount, spice-vdagent, xorg-x11-drv-wacom-serial-
     support, nemo-image-converter, libavc1394, lldpad, libtiff,
     python3-libsemanage, libvncserver, libnotify, glslang, xorg-x11-drv-
     wacom-devel, ima-evm-utils, boost-stacktrace, ed, bind-libs-lite,
     python3-pygit2, grub2-tools-extra, openssh-server, fluidsynth-libs,
     gnome-keyring-pam, taglib, libXext, libblockdev-utils, ModemManager-
     glib, cinnamon-control-center, boost-python2, device-mapper-event-
     libs, initscripts, hunspell, libieee1284, libndp, poly2tri,
     pulseaudio, pix, libaesgm, vulkan-loader, kf5-ktextwidgets, bzip2,
     python2-mysql, elfutils-libelf, nss-softokn-freebl, open-vm-tools,
     python3-smartcols, libavdevice, libtool-ltdl, readline, openslp, yelp,
     xorg-x11-drv-intel, eom, abrt-java-connector, perl-version, parole),
     /usr/lib/.build-id/9b(kf5-kwindowsystem, poppler-utils, gstreamer1
     -plugins-bad-free, ImageMagick-libs, iproute, php-xml, chromium,
     check, libreoffice-core, kf5-ktextwidgets, xz-libs, clang-libs,
     gettext, mesa-dri-drivers, cjs, xviewer-plugins, iptables, llvm,
     libgphoto2, ncurses, neon, pidgin, vlc-core, cifs-utils, doxygen, bzr,
     java-1.8.0-openjdk-devel, binutils)
[x]: %build honors applicable compiler flags or justifies otherwise.
[-]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: The spec file handles locales properly.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.

asked author to renamne the project to mate-user-admin https://github.com/zhuyaliang/user-admin/pull/5

[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[?]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 1 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package contains desktop file if it is a GUI application.
[x]: Package installs a %{name}.desktop using desktop-file-install or
     desktop-file-validate if there is such a file.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[?]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[-]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in mate-
     user-admin-debuginfo , mate-user-admin-debugsource
[x]: Package functions as described.
[x]: Latest version is packaged.
[?]: Package does not include license text files separate from upstream.
[?]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[?]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on debuginfo package(s).
     Note: No rpmlint messages.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: mate-user-admin-1.1.1-1.fc30.x86_64.rpm
          mate-user-admin-debuginfo-1.1.1-1.fc30.x86_64.rpm
          mate-user-admin-debugsource-1.1.1-1.fc30.x86_64.rpm
          mate-user-admin-1.1.1-1.fc30.src.rpm
mate-user-admin.x86_64: W: no-manual-page-for-binary mate-user-admin
4 packages and 0 specfiles checked; 0 errors, 1 warnings.




Rpmlint (debuginfo)
-------------------
Checking: mate-user-admin-debuginfo-1.1.1-1.fc30.x86_64.rpm
1 packages and 0 specfiles checked; 0 errors, 0 warnings.





Rpmlint (installed packages)
----------------------------
sh: /usr/bin/python: No such file or directory
mate-user-admin-debuginfo.x86_64: W: invalid-url URL: https://github.com/zhuyaliang <urlopen error [Errno -2] Name or service not known>
mate-user-admin.x86_64: W: invalid-url URL: https://github.com/zhuyaliang <urlopen error [Errno -2] Name or service not known>
mate-user-admin.x86_64: W: no-manual-page-for-binary mate-user-admin
mate-user-admin-debugsource.x86_64: W: invalid-url URL: https://github.com/zhuyaliang <urlopen error [Errno -2] Name or service not known>
3 packages and 0 specfiles checked; 0 errors, 4 warnings.



Requires
--------
mate-user-admin-debuginfo (rpmlib, GLIBC filtered):

mate-user-admin (rpmlib, GLIBC filtered):
    libaccountsservice.so.0()(64bit)
    libc.so.6()(64bit)
    libgdk_pixbuf-2.0.so.0()(64bit)
    libgio-2.0.so.0()(64bit)
    libglib-2.0.so.0()(64bit)
    libgobject-2.0.so.0()(64bit)
    libgtk-3.so.0()(64bit)
    libmate-desktop-2.so.17()(64bit)
    libpwquality.so.1()(64bit)
    libpwquality.so.1(LIBPWQUALITY_1.0)(64bit)
    rtld(GNU_HASH)

mate-user-admin-debugsource (rpmlib, GLIBC filtered):



Provides
--------
mate-user-admin-debuginfo:
    debuginfo(build-id)
    mate-user-admin-debuginfo
    mate-user-admin-debuginfo(x86-64)

mate-user-admin:
    application()
    application(mate-user-admin.desktop)
    mate-user-admin
    mate-user-admin(x86-64)

mate-user-admin-debugsource:
    mate-user-admin-debugsource
    mate-user-admin-debugsource(x86-64)



Source checksums
----------------
https://github.com/zhuyaliang/user-admin/archive/1.1.1.tar.gz#/mate-user-admin-1.1.1.tar.gz :
  CHECKSUM(SHA256) this package     : da6e1338240beac7257c1e7167022c3a1b6bbab0924bc91d8109b8f793f40de4
  CHECKSUM(SHA256) upstream package : da6e1338240beac7257c1e7167022c3a1b6bbab0924bc91d8109b8f793f40de4


Generated by fedora-review 0.6.1 (f03e4e7) last change: 2016-05-02
Command line :/usr/bin/fedora-review -m fedora-rawhide-x86_64 -b 1627729
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api, C/C++
Disabled plugins: Java, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6

Comment 2 Wolfgang Ulbrich 2018-09-11 13:38:21 UTC
Thanks for the review.

Comment 3 Gwyn Ciesla 2018-09-11 14:32:21 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/mate-user-admin

Comment 4 Fedora Update System 2018-09-11 17:12:56 UTC
mate-user-admin-1.1.1-1.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-2b89b81349

Comment 5 Fedora Update System 2018-09-11 17:13:04 UTC
mate-user-admin-1.1.1-1.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2018-b573289c5b

Comment 6 Fedora Update System 2018-09-11 17:13:09 UTC
mate-user-admin-1.1.1-1.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2018-595262b52d

Comment 7 Fedora Update System 2018-09-13 03:31:45 UTC
mate-user-admin-1.1.1-1.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-595262b52d

Comment 8 Fedora Update System 2018-09-13 17:51:45 UTC
mate-user-admin-1.1.1-1.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-2b89b81349

Comment 9 Fedora Update System 2018-09-14 15:47:53 UTC
mate-user-admin-1.1.1-1.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-b573289c5b

Comment 10 Fedora Update System 2018-09-21 05:32:49 UTC
mate-user-admin-1.1.1-1.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2018-09-21 07:41:43 UTC
mate-user-admin-1.1.1-1.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2018-09-22 19:45:59 UTC
mate-user-admin-1.1.1-1.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.